Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Service_Callbacks Class Reference

An Abstract Base class for the hooks in the ORB. More...

`#include <Service_Callbacks.h>`

List of all members.

## Public Methods
virtual | ~TAO_Service_Callbacks (void)
| Dtor.
virtual CORBA::Boolean | select_profile (TAO_MProfile *mprofile, TAO_Profile *&pfile)
virtual CORBA::Boolean | reselect_profile (TAO_Stub *stub, TAO_Profile *&pfile)
virtual void | reset_profile_flags (void)
| Reset the profile flags that the services could have.
virtual CORBA::Boolean | object_is_nil (CORBA::Object_ptr obj)
| Check whether <obj> is nil or not.
virtual CORBA::Boolean | is_profile_equivalent (const TAO_Profile *, const TAO_Profile *)
| Check for equivalency of the two profiles.
virtual CORBA::ULong | hash_ft (TAO_Profile *p, CORBA::ULong m)
| Calculate the hash value..
virtual TAO::Invocation_Status | raise_comm_failure (IOP::ServiceContextList &clist, TAO_Profile *profile ACE_ENV_ARG_DECL)
virtual TAO::Invocation_Status | raise_transient_failure (IOP::ServiceContextList &clist, TAO_Profile *profile ACE_ENV_ARG_DECL)

## Detailed Description

An Abstract Base class for the hooks in the ORB.

This class (would) define all the hooks that may be needed by the ORB to override some of its default behaviour. The methods can be potentially used to call service level specific processing that may be required.

## Constructor & Destructor Documentation

TAO_Service_Callbacks::~TAO_Service_Callbacks | ( | void |  | ) | `[virtual]`

| Dtor.

## Member Function Documentation

CORBA::ULong TAO_Service_Callbacks::hash_ft | ( | TAO_Profile * | p,
|  | CORBA::ULong | m
| ) | `[virtual]`

| Calculate the hash value..

CORBA::Boolean TAO_Service_Callbacks::is_profile_equivalent | ( | const TAO_Profile * | ,
|  | const TAO_Profile * |
| ) | `[virtual]`

| Check for equivalency of the two profiles.

CORBA::Boolean TAO_Service_Callbacks::object_is_nil | ( | CORBA::Object_ptr | obj | ) | `[virtual]`

| Check whether <obj> is nil or not.

virtual TAO::Invocation_Status TAO_Service_Callbacks::raise_comm_failure | ( | IOP::ServiceContextList & | clist,
|  | TAO_Profile *profile | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the service layer to decide whether the COMM_FAILURE exception should be thrown or a reinvocation is needed

virtual TAO::Invocation_Status TAO_Service_Callbacks::raise_transient_failure | ( | IOP::ServiceContextList & | clist,
|  | TAO_Profile *profile | ACE_ENV_ARG_DECL
| ) | `[virtual]`

| Allow the service layer to decide whether the TRANSIENT exception should be thrown or a reinvocation is needed

CORBA::Boolean TAO_Service_Callbacks::reselect_profile | ( | TAO_Stub * | stub,
|  | TAO_Profile *& | pfile
| ) | `[virtual]`

| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>

void TAO_Service_Callbacks::reset_profile_flags | ( | void |  | ) | `[virtual]`

| Reset the profile flags that the services could have.

CORBA::Boolean TAO_Service_Callbacks::select_profile | ( | TAO_MProfile * | mprofile,
|  | TAO_Profile *& | pfile
| ) | `[virtual]`

| Select the profile from MProfile as the needs of the services may be. Return the profile in <pfile>

The documentation for this class was generated from the following files:

- Service_Callbacks.h
- Service_Callbacks.cpp